import React, { FC, RefObject, HTMLAttributes } from 'react';
export interface CCarouselProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * A string of all className you want applied to the base component. [docs]
     */
    className?: string;
    /**
     * Inner ref of main element. [docs]
     *
     * @type RefObject<HTMLDivElement> | {():void}
     */
    innerRef?: RefObject<HTMLDivElement> | {
        (): void;
    };
    /**
     * index of the active item. [docs]
     *
     * @type number
     */
    activeIndex?: number;
    /**
     * Slide starts on beginning. [docs]
     *
     * @type number
     */
    autoSlide?: number;
    /**
     * Set 'animate' variable for created context. [docs]
     *
     * @type boolean
     */
    animate?: boolean;
    /**
     * On slide change callback. [docs]
     *
     * @type (a:number|string|null)=>void
     */
    onSlideChange?: (a: number | string | null) => void;
}
export interface ContextType {
    itemNumber: number;
    state: [number | null, number, string?];
    animating: boolean;
    animate?: boolean;
    setItemNumber: (a: number) => void;
    setAnimating: (a: boolean) => void;
    setState: (a: [number | null, number, string?]) => void;
}
export declare const Context: React.Context<ContextType>;
export declare const CCarousel: FC<CCarouselProps>;
