import { FC, HTMLAttributes, RefObject } from 'react';
export interface CCarouselControlProps extends HTMLAttributes<HTMLAnchorElement> {
    /**
     * A string of all className you want applied to the base component. [docs]
     */
    className?: string;
    /**
     *  Inner ref of main element. [docs]
     *
     * @type RefObject<HTMLDivElement> | {(): void}
     */
    innerRef?: RefObject<HTMLAnchorElement> | {
        (): void;
    };
    /**
     *  Direction. [docs]
     *
     * @type 'prev' | 'next'
     */
    direction: 'prev' | 'next';
}
export declare const CCarouselControl: FC<CCarouselControlProps>;
