import { FC, HTMLAttributes } from 'react';
export interface CModalProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * Align the modal in the center or top of the screen. [docs]
     *
     * @default 'top'
     */
    alignment?: 'top' | 'center';
    /**
     * A string of all className you want applied to the base component. [docs]
     */
    className?: string;
    duration?: number;
    fullscreen?: boolean | 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
    /**
     * Does the modal dialog itself scroll, or does the whole dialog scroll within the window. [docs]
     */
    onDismiss?: () => void;
    scrollable?: boolean;
    /**
     * Size the component small, large, or extra large. [docs]
     */
    size?: 'sm' | 'lg' | 'xl';
    transition?: 'fade' | boolean;
    /**
     * Toggle the visibility of alert component. [docs]
     */
    visible?: boolean;
}
export declare const CModal: FC<CModalProps>;
