import React, { HTMLAttributes } from 'react';
import { Breakpoints } from '../Types';
export interface CSidebarProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * A string of all className you want applied to the component. [docs]
     */
    className?: string;
    narrow?: boolean;
    /**
     * Method called before the hide animation has started. [docs]
     */
    onHide?: () => void;
    /**
     * Method called before the show animation has started. [docs]
     */
    onShow?: () => void;
    overlaid?: boolean;
    position?: 'fixed' | 'sticky';
    selfHiding?: Breakpoints | boolean;
    show?: boolean;
    unfoldable?: boolean;
}
export declare const CSidebar: React.ForwardRefExoticComponent<CSidebarProps & React.RefAttributes<HTMLDivElement>>;
