import React, { HTMLAttributes } from 'react';
import { Colors } from '../Types';
export interface CTableProps extends HTMLAttributes<HTMLTableElement> {
    align?: 'bottom' | 'middle' | 'top' | string;
    borderColor?: Colors;
    bordered?: boolean;
    borderless?: boolean;
    caption?: 'top';
    /**
     * A string of all className you want applied to the component. [docs]
     */
    className?: string;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors. [docs]
     *
     * @type 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | string
     */
    color: Colors;
    hover?: boolean;
    responsive?: boolean | 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
    small?: boolean;
    striped?: boolean;
}
export declare const CTable: React.ForwardRefExoticComponent<CTableProps & React.RefAttributes<HTMLTableElement>>;
